import { FocusEvent, KeyboardEvent, MouseEvent, SyntheticEvent } from "react";
export interface UseOverlayTriggerOptions {
    trigger?: "click" | "hover";
    onShow?: (event: SyntheticEvent) => void;
    onHide?: (event: SyntheticEvent) => void;
}
export declare function useOverlayTrigger(isOpen: boolean, { trigger, onShow, onHide }?: UseOverlayTriggerOptions): {
    onClick: (event: SyntheticEvent) => void;
    onKeyDown: (event: KeyboardEvent) => void;
    onKeyUp: (event: KeyboardEvent) => void;
    onMouseEnter?: undefined;
    onMouseLeave?: undefined;
    onFocus?: undefined;
    onBlur?: undefined;
} | {
    onMouseEnter: (event: MouseEvent) => void;
    onMouseLeave: (event: MouseEvent) => void;
    onFocus: (event: FocusEvent) => void;
    onBlur: (event: FocusEvent) => void;
    onClick?: undefined;
    onKeyDown?: undefined;
    onKeyUp?: undefined;
} | {
    onClick?: undefined;
    onKeyDown?: undefined;
    onKeyUp?: undefined;
    onMouseEnter?: undefined;
    onMouseLeave?: undefined;
    onFocus?: undefined;
    onBlur?: undefined;
};
